Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::AdapterActivator Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::AdapterActivator:

[legend]
Collaboration diagram for PortableServer::AdapterActivator:

[legend]
List of all members.

## Public Types
typedef AdapterActivator_ptr | _ptr_type
typedef AdapterActivator_var | _var_type
## Public Methods
virtual CORBA::Boolean | unknown_adapter (PortableServer::POA_ptr parent, const char *name ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
AdapterActivator_ptr | _duplicate (AdapterActivator_ptr obj)
AdapterActivator_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
AdapterActivator_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| AdapterActivator (void)
virtual | ~AdapterActivator (void)
## Private Methods
| AdapterActivator (const AdapterActivator &)
void | operator= (const AdapterActivator &)

## Member Typedef Documentation

typedef AdapterActivator_ptr PortableServer::AdapterActivator::_ptr_type

| Reimplemented from CORBA::Object.

typedef AdapterActivator_var PortableServer::AdapterActivator::_var_type

| Reimplemented from CORBA::Object.

## Constructor & Destructor Documentation

PortableServer::AdapterActivator::AdapterActivator | ( | void |  | ) | `[protected]`

PortableServer::AdapterActivator::~AdapterActivator | ( | void |  | ) | `[protected, virtual]`

PortableServer::AdapterActivator::AdapterActivator | ( | const AdapterActivator & |  | ) | `[private]`

## Member Function Documentation

PortableServer::AdapterActivator_ptr PortableServer::AdapterActivator::_duplicate | ( | AdapterActivator_ptr | obj | ) | `[static]`

const char * PortableServer::AdapterActivator::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Object.

virtual CORBA::Boolean PortableServer::AdapterActivator::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

AdapterActivator_ptr PortableServer::AdapterActivator::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Object.

AdapterActivator_ptr PortableServer::AdapterActivator::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Object.

void PortableServer::AdapterActivator::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Object.

CORBA::Boolean PortableServer::AdapterActivator::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Object.

void PortableServer::AdapterActivator::operator= | ( | const AdapterActivator & |  | ) | `[private]`

virtual CORBA::Boolean PortableServer::AdapterActivator::unknown_adapter | ( | PortableServer::POA_ptr | parent,
|  | const char *name | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_Adapter_Activator.

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp